summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: d6b9172)
raw | patch | inline | side by side (parent: d6b9172)
author | Ton Voon <tonvoon@users.sourceforge.net> | |
Sun, 29 Jun 2003 01:07:53 +0000 (01:07 +0000) | ||
committer | Ton Voon <tonvoon@users.sourceforge.net> | |
Sun, 29 Jun 2003 01:07:53 +0000 (01:07 +0000) |
git-svn-id: https://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk@564 f882894a-f735-0410-b71e-b25c423dba1c
tools/sfwebcron | [new file with mode: 0755] | patch | blob |
diff --git a/tools/sfwebcron b/tools/sfwebcron
--- /dev/null
+++ b/tools/sfwebcron
@@ -0,0 +1,32 @@
+#! /bin/bash
+# sfwebcron
+
+# To update the developers-guidelines.html and put in main area
+#
+# Install in cron with something like:
+# 47 7 * * * $HOME/bin/sfwebcron
+
+function die { echo $1; exit 1; }
+
+# Set working variables
+PROJECT=nagiosplug
+IN=${HOME}/tmp_sfwebcron
+OUT="/home/groups/n/na/nagiosplug/htdocs/ton"
+DS=`date -u +%Y%m%d%H%M`
+
+# Get latest dev guildelines
+[[ ! -d $IN ]] && mkdir $IN
+cd $IN
+if [[ ! -d $PROJECT ]] ; then
+ cvs -z3 -d:pserver:anonymous@cvs1:/cvsroot/nagiosplug co nagiosplug || die "Cannot cvs"
+fi
+cd nagiosplug/doc
+cvs update
+
+# Is the dev guidelines updated?
+touch now
+make
+if [[ developer-guidelines.html -nt now ]] ; then
+ cp developer-guidelines.html developer-guidelines.sgml $OUT
+fi
+rm now